<?php

namespace App\Exports;

use App\Models\Agent;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class AgentsExport implements FromCollection, WithHeadings
{
    public function headings(): array
    {

        return [
            'Agent Code',
            'Agent Name',
            'Gender',
//            'Date of Birth',
            'Email',
            'KRA PIN',
            'ID Number',
            'Phone Number',
            'Address',
//            'Location Address',
            'Bank Name',
            'Bank Branch',
            'Account Name',
            'Account No',
            'Currency',
            'SWIFT Code',
//            'Bank Slip',
            'Kin Name',
            'Kin ID',
            'Kin KRA PIN',
            'Kin Gender',
            'Kin Email',
            'Kin Phone',
            'Kin Box Address',
            'Kin Location Address',
        ];
    }

    public function collection()
    {
        $clients = Agent::query()->with('user.profile')->get();
        try{

            return $clients->map(function ($row) {
                return [
                    'sales_agent_code' => @$row->sales_agent_code,
                    'full_name' => @$row->user['first_name'].' '.  @$row->user['last_name'],
                    'gender' => @$row->gender,
//                    'dob' => @$row->dob,
                    'email' => @$row->user->email,
                    'kra_pin' => @$row->kra_pin,
                    'id_number' => @$row->id_number,
//                    'postal_code' => @$row->user->profile->postal_code,
                    'phone' => @$row->phone,
//                    'box_address' => @$row->user->profile->box_address,
                    'address' => @$row->user->profile->postal_code,
                    'bank_name' => @$row->bank_name,
                    'bank_branch' => @$row->bank_branch,
                    'account_name' => @$row->account_name,
                    'account_no' => @$row->account_no,
                    'currency' => @$row->currency,
                    'swift_code' => @$row->swift_code,
                    //'bank_slip' => @$row->user->profile->bank_slip,
                    'kin_name' => @$row->kin_name,
                    'kin_id' => @$row->kin_id,
                    'kin_kra_pin' => @$row->kin_kra_pin,
                    'kin_gender' => @$row->kin_gender,
                    'kin_email' => @$row->kin_email,
                    'kin_phone' => @$row->kin_phone,
                    'kin_box_address' => @$row->kin_box_address,
                    'kin_location_address' => @$row->kin_location_address,
                ];
            });
        }
        catch (\Exception $exception){
            echo $exception->getMessage();
        }

    }
}
