<?php


namespace App\Exports;


use App\Models\Customer;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class SoldUnitExports  implements FromCollection, WithHeadings
{
    public function headings(): array
    {

        return [
            'ID Number',
            'KRA PIN',
            'Gender',
            'Date of Birth',
            'Email',
            'User ID',
            'Postal Code',
            'Country ID',
            'Phone',
            'Box Address',
            'Location Address',
            'Bank Name',
            'Bank Branch',
            'Account Name',
            'Account No',
            'Currency',
            'SWIFT Code',
            'Bank Slip',
            'Kin Name',
            'Kin ID',
            'Kin KRA PIN',
            'Kin Gender',
            'Kin Email',
            'Kin Phone',
            'Kin Box Address',
            'Kin Location Address',
        ];
    }

    public function collection()
    {
        $clients = Customer::query()->with('user.profile')->get();

        return $clients->map(function ($row) {
            return [
                'id_number' => $row->user->id,
                'kra_pin' => @$row->user->profile->vat_number, // Note: Update this according to your data structure
                'gender' => @$row->user->profile->gender,
                'dob' => @$row->user->profile->dob,
                'email' => $row->user->email,
                'user_id' => $row->user->id,
                'postal_code' => @$row->user->profile->postal_code,
                'country_id' => @$row->country->name, // Note: Update this according to your data structure
                'phone' => @$row->user->profile->contact,
                'box_address' => @$row->user->profile->box_address,
                'location_address' => @$row->user->profile->location_address,
                'bank_name' => @$row->user->profile->bank_name,
                'bank_branch' => @$row->user->profile->bank_branch,
                'account_name' => @$row->user->profile->account_name,
                'account_no' => @$row->user->profile->account_no,
                'currency' => @$row->user->profile->currency,
                'swift_code' => @$row->user->profile->swift_code,
                'bank_slip' => @$row->user->profile->bank_slip,
                'kin_name' => @$row->user->profile->kin_name,
                'kin_id' => @$row->user->profile->kin_id,
                'kin_kra_pin' => @$row->user->profile->kin_kra_pin,
                'kin_gender' => @$row->user->profile->kin_gender,
                'kin_email' => @$row->user->profile->kin_email,
                'kin_phone' => @$row->user->profile->kin_phone,
                'kin_box_address' => @$row->user->profile->kin_box_address,
                'kin_location_address' => @$row->user->profile->kin_location_address,
            ];
        });
    }

}