<?php


namespace App\Exports;
use App\Models\TitleDeed;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;


class TitleExports  implements FromCollection, WithHeadings
{

    public function headings(): array
    {
        return [
            __t('unit'),
            __t('amount'),
            __t('purpose'),
            __t('reference'),
            __t('note'),
            __t('details'),
            __t('date')
        ];
    }

    public function collection()
    {
        $data = TitleDeed::query()->get();

        return $data->map(function ($row) {
            return [
                'unit_id' => $row->unit_id,
                'amount' => $row->amount,
                'purpose' => $row->purpose->name,
                'reference' => $row->reference,
                'note' => $row->note,
                'details' => $row->details,
                'date' => $row->date,
            ];
        });
    }

}