<?php


namespace App\Filters\Patch\Leads;


use App\Filters\FilterBuilder;
use App\Filters\Patch\Traits\AgentFilterTraits;
use App\Filters\Patch\Traits\ClientFilterTraits;
use App\Filters\Patch\Traits\DateRangeFilter;
use App\Filters\Patch\Traits\NameFilterTrait;
use App\Filters\Patch\Traits\StatusFilterTrait;
use App\Models\Patch\Traits\IndividualAgentTrait;
use App\Models\Patch\Traits\IndividualClientTrait;
use Illuminate\Database\Eloquent\Builder;

class PatchLeadFilter  extends FilterBuilder
{
    use NameFilterTrait, DateRangeFilter,ClientFilterTraits,AgentFilterTraits,IndividualClientTrait,IndividualAgentTrait,StatusFilterTrait;

    public function date($date = null)
    {
        $date = json_decode(htmlspecialchars_decode($date), true);
        $this->builder->when($date, function (Builder $builder) use ($date) {
            $builder->whereBetween(\DB::raw('DATE(date)'), array_values($date));
        });
    }

    public function search($search = null)
    {
        return $this->builder->when($search, function (Builder $builder) use ($search) {
            $builder->where('estimate_number', 'LIKE', "%$search%");
        });
    }

}
