<?php


namespace App\Filters\Patch\Property;


use App\Filters\FilterBuilder;
use App\Filters\Patch\Traits\DateRangeFilter;
use App\Filters\Patch\Traits\StatusFilterTrait;
use Illuminate\Database\Eloquent\Builder;

class PropertyUnitFilter  extends FilterBuilder
{

    use  DateRangeFilter;  //StatusFilterTrait;

    public function search($search = null)
    {
        return $this->builder->when($search, function (Builder $builder) use ($search) {
            $builder->where('unit_name', 'LIKE', "%$search%")
                ->orWhereHas('property', function ($query) use ($search) {
                    $query->where('property_name', 'LIKE', "%$search%")
                    ->orWhere('project_name', 'LIKE', "%$search%");
                });
        });
    }



}