<?php


namespace App\Http\Controllers\App\Invoice;

use App\Http\Controllers\Api\ApiController;
use App\Http\Resources\PaymentResource;
use App\Models\Invoice;
use App\Rental\Repositories\Contracts\InvoiceInterface;
use App\Rental\Repositories\Contracts\PaymentInterface;

class InvoicePaymentsController extends ApiController
{
    /**
     * @var PaymentInterface
     */
    protected $invoiceInterface, $load;

    /**
     * PaymentController constructor.
     * @param InvoiceInterface $invoiceInterface
     */
    public function __construct(InvoiceInterface $invoiceInterface)
    {
        $this->invoiceInterface = $invoiceInterface;
        $this->load = [];
    }

    /**
     * @param Invoice $invoice
     * @return mixed
     */
    public function index(Invoice $invoice)
    {
        $limit = $this->invoiceInterface->limit();
        $payments = $invoice->payment_transactions()->with([])->paginate($limit);
        if (isset($payments))
            return $this->respondWithData(PaymentResource::collection($payments));

        return $this->respondNotFound('Payment not found.');
    }

}

