<?php


namespace App\Http\Controllers\App\Payment\Reserved;


use App\Filters\Patch\PaymentHistory\Reserved\ReservedFilter;
use App\Http\Controllers\Controller;
use App\Models\ReservedUnitPayment;
use App\Services\Patch\Liason\ReservedUnitService;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;


class ReservedPaymentController  extends Controller
{
    public  function  __construct(ReservedUnitService $service, ReservedFilter  $filter)
    {
        $this->service = $service;
        $this->filter = $filter;

    }
    public function index()
    {
        return $this->service
            ->with([
                'unit:id,unit_name,sale_amount,square_foot,unit_floor',
                'status:id,name,class',
                'payment_status:id,name,class'

            ])
            ->filters($this->filter)
            ->where('payment_status_id',16)
            ->orderBy('id', request()->get('orderBy'))
            ->paginate(request('per_page'));
    }

    public function store(Request $request)
    {
        $this->service
            ->setAttributes($request->all())
            ->save();

        return created_responses('crud_response');

    }


    public function show($id)
    {

        return $this->service->with([
            'unit:unit_name,sale_amount,unit_floor,total_rooms,square_foot',
            'status:id,name,class',
            'payment_status:id,name,class'
        ])->find($id);

    }

    public function update(ReservedUnitPayment $unit,$id)
    {

        $unit = $this->service->find($id);

        $this->service->where('id', $id)->update(\request()->only('payment_status_id'));;

        return updated_responses('crud_response');
    }

    public function destroy(ReservedUnitPayment $reservedUnitPayment)
    {
        $this->service
            ->setModel($reservedUnitPayment)
            ->delete();
        return deleted_responses('crud_response');
    }


}