<?php


namespace App\Http\Controllers\App\Properties;


use App\Http\Controllers\Controller;
use App\Models\Patch\Recurring\RecurringCycle;
use App\Models\Patch\Tax\Tax;
use App\Repositories\Core\Status\StatusRepository;

class InterfaceController  extends Controller
{

    public function agentsInterface()
    {
        return view('agents.index');

    }

    public function invoiceCreateView()
    {
        $status = resolve(StatusRepository::class)->statuses('invoice');
        $recurringCycle = RecurringCycle::query()->select('id', 'name')->get();
        $taxs = Tax::query()->select('id', 'name', 'value')->get();

        return view('invoices.create', compact('status', 'recurringCycle', 'taxs'));
    }

    public function clientDetailsView($id)
    {
        return view('customer.client-details', compact('id'));
    }

    public function agentDetailsView($id)
    {
        return view('agents.agent-details', compact('id'));
    }


    public function customerInterface()
    {
        return view('customer.index');

    }

    public function propertySellingDetailsView($id)
    {
        return view('properties.units.sale.unit-sale-details', compact('id'));
    }

    public function unitBookingDetailsView($id)
    {
        return view('properties.units.sale.sold-unit-details', compact('id'));
    }


    public function propertyInterface()
    {
        return view('properties.property.index');

    }

    public function paymentInterface()
    {
        return view('payment.index');

    }

    public function invoiceInterface()
    {
        return view('invoices.index');

    }

    public function leadsInterface()
    {
        return view('properties.leads.index');

    }

    public function propertyDetailsView($id)
    {
        return view('properties.property.property-details', compact('id'));
    }

    public function createProperty()
    {
        return view('properties.property.create');

    }


    public function settingInterface()
    {
        return view('properties.settings.index');
    }



    public function titleInterface()
    {
        return view('properties.titles.index');
    }

    public function directoryInterface()
    {
        return view('projects.index');
    }


    public function companyInterface()
    {
        return view('company.index');

    }

    public function agentLeadsInterface()
    {
        return view('agent-leads.index');

    }

    public function proprtyUnitInterface()
    {
        return view('properties.units.index');

    }


    public function adminUnitInterface()
    {
        return view('properties.units.admin-units');

    }


    public function commissionInterface()
    {
        return view('rewards.commission.index');

    }

    public function earningInterface()
    {
        return view('rewards.earning.index');

    }
    public function propertyUnitDetailsView($id)
    {
        return view('properties.units.unit-details', compact('id'));
    }


    public function unitBookingView()
    {
        return view('properties.units.booking');
    }

    public  function  reservedPaymentInterface()
    {
        return view('payment.reserved.index');

    }

    public  function  offerLetterInterface()
    {
        return view('properties.leads.offer-letter');

    }

    public  function  saleAgreementInterface()
    {
        return view('properties.leads.sale-agreement');

    }
    public  function  unsuccessfulLeadsInterface()
    {
        return view('properties.leads.unsuccessful');
    }

    public  function  listProspectnterface()
    {
        return view('properties.leads.prospect');
    }

    public function offerLetterDetailsView($id)
    {
        return view('properties.leads.offer-letter-details', compact('id'));
    }

    public function saleAgreementDetailsView($id)
    {
        return view('properties.leads.sale-agreement-details', compact('id'));
    }

    public  function  financeOfferLetterView()
    {
        return view('payment.finance.offer-letter-payments');
    }
    public  function  financeSaleAgreementView()
    {
        return view('payment.finance.sale-agreement');
    }

    public  function  processOfferLetterView()
    {
        return view('legal.offer-letter-payments');
    }


    public  function  processSaleAgreementView()
    {
        return view('legal.sale-agreement');
    }

    public function clientStatementDetailsView($id)
    {
        return view('reports.client-statement-details', compact('id'));
    }



    public  function  paymentConfirmView()
    {
        return view('payment.confirm');
    }

    public  function  kycDocumentView()
    {
        return view('customer.kyc.index');
    }

    public  function  completedPaymentsView()
    {
        return view('legal.process-titles');
    }





}
