<?php

namespace App\Http\Controllers\App\Properties;

use App\Http\Controllers\Api\ApiController;
use App\Http\Resources\VacationNoticeResource;
use App\Models\Property;
use App\Rental\Repositories\Contracts\PropertyInterface;
use App\Rental\Repositories\Contracts\VacationNoticeInterface;

class PropertyNoticesController extends ApiController
{
    /**
     * @var VacationNoticeInterface
     */
    protected $propertyRepository, $load;

    /**
     * NoticeController constructor.
     * @param PropertyInterface $propertyInterface
     */
    public function __construct(PropertyInterface $propertyInterface)
    {
        $this->propertyRepository = $propertyInterface;
        $this->load = [];
    }

    /**
     * @param Property $property
     * @return mixed
     */
    public function index(Property $property)
    {
        $limit = $this->propertyRepository->limit();
        $notices = $property->notices()->with([])->paginate($limit);
        if (isset($notices))
            return $this->respondWithData(VacationNoticeResource::collection($notices));

        return $this->respondNotFound('Notice not found.');
    }

}
