<?php

namespace App\Http\Controllers\App\Unit;

use App\Filters\Patch\Property\PropertyUnitFilter;
use App\Http\Controllers\Controller;
use App\Http\Requests\UnitRequest;
use App\Models\Unit;
use App\Services\Patch\Liason\UnitPropertyService;
use Illuminate\Http\Request;

class UnitController extends Controller
{

    public function __construct(UnitPropertyService $service, PropertyUnitFilter $filter)
    {
        $this->service = $service;
        $this->filter = $filter;

    }


    public function index()
    {
        if (\Request::exists('all')) {
            return $this->service->select('id', 'unit_name', 'sale_amount')->get();
        }
        $orderBy = request()->get('orderBy', 'asc'); // Default to 'asc' if no orderBy parameter is provided

        if (!in_array($orderBy, ['asc', 'desc'])) {
            $orderBy = 'asc'; // Set to default 'asc' if provided orderBy value is invalid
        }
        return $this->service
            ->with(['status:id,name,class', 'property','unit'])
//            ->where('status_id',10)
            ->filters($this->filter)
            ->orderBy('id', $orderBy)
            ->paginate(request('per_page', 10));

    }



    public function store(Request $request)
    {
        $this->service
//            ->setValidation()
            ->setAttributes($request->all())
            ->save();

        return created_responses('units');
    }

    public function show($id)
    {
        return $this->service->with('property','unit')->find($id);
    }

    public function update(UnitRequest $request, Unit $unit)
    {
        $this->service
            ->setModel($unit)
            ->setValidation()
            ->setAttributes($request->all())
            ->update();
        return updated_responses('units');

    }

    public function destroy(Unit $unit)
    {
        $this->service
            ->setModel($unit)
            ->unlinkImage()
            ->deleteFileDatabase()
            ->delete();
        return deleted_responses('units');

    }



}


