<?php

namespace App\Http\Controllers\App\Unit;

use App\Http\Controllers\Controller;
use App\Imports\Patch\UnitsImport;
use Illuminate\Http\Request;
use Maatwebsite\Excel\Facades\Excel;

class UnitImportController  extends Controller
{

    public function import(Request $request)
    {
        $request->validate([
            'attachment' => 'required|file|mimes:xls,xlsx',
            'property_id' => 'required|integer',
            'unit_name' => 'required|string'
        ]);

        $propertyId = $request->input('property_id');
        $unitName = $request->input('unit_name');
        $file = $request->file('attachment');

        Excel::import(new UnitsImport($propertyId, $unitName), $file);

        return response()->json(['message' => 'File imported successfully'], 200);
    }

}