<?php


namespace App\Http\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class ReservedUnitPaymentResource  extends JsonResource
{

    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'created_by' => $this->created_by,
            'unit_id' => $this->unit_id,
            'property_id' => $this->property_id,
            'status_id' => $this->status_id,
            'payment_status_id' => $this->payment_status_id,
            'amount' => $this->amount,
            'reference_number' => $this->reference_number,
            'payment_mode' => $this->payment_mode,
            'client_name' => $this->client_name,
            'email' => $this->email,
            'phone' => $this->phone,
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'sale_amount' => $this->unit->sale_amount,
            'square_foot'=>$this->unit->square_foot,
            'total_rooms'=>$this->unit->total_rooms,
            'unit_name' => $this->unit->unit_name,
            'unit_floor' => $this->unit->unit_floor,
            'status' => $this->status ? [
                'id' => $this->status->id,
                'name' => $this->status->name,
                'class' => $this->status->class,
                'translated_name' => $this->status->translated_name,
            ] : null,// Access sale_amount from related unit

            'property' => $this->property ? [
                'id' => $this->property->id,
                'project_name' => $this->property->project_name,
            ] : null,

        ];
    }

}