<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class UnitBookingResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'user_id' => $this->user_id,
            'customer_id' => $this->customer_id,
            'unit_id' => $this->unit_id,
            'property_id' => $this->property_id,
            'status_id' => $this->status_id,
            'plan_id' => $this->plan_id,
            'posting_date' => $this->posting_date,
            'document_date' => $this->document_date,
            'installment_date' => $this->installment_date,
            'payment_start_date' => $this->payment_start_date,
            'unit_name' => $this->unit->unit_name, // Replace 'specific_attribute' with the column you want to return
            'sale_amount' => $this->unit->sale_amount,
            'unit_floor' => $this->unit->unit_floor,
            'square_foot' => $this->unit->square_foot,

//            'property_name' => $this->property->property_name,
//            'project_name' => $this->property->project_name,

//            // Include relationships
//            'property' => new PropertyResource($this->whenLoaded('property')),
//            'plan' => new PaymentPlanResource($this->whenLoaded('plan')),
//           // Replace 'specific_attribute' with the column you want to return
//            'unit' => new UnitResource($this->whenLoaded('unit')),
//            'customer' => new CustomerResource($this->whenLoaded('customer')),
//            'agent' => new AgentResource($this->whenLoaded('agent')),
//            'user' => new UserResource($this->whenLoaded('user')),
        ];
    }
}
