<?php


namespace App\Mail\Patch;


use App\Models\Invoice;
use App\Models\Payment;
use App\Models\UnitBooking;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class LegalReminderNotification  extends Mailable
{
    use Queueable, SerializesModels;

    public $bookingModel, $documentType, $emailTitle;

    public function __construct(UnitBooking $bookingModel, $documentType )
    {
        $this->bookingModel = $bookingModel;
        $this->documentType = $documentType;
        $this->emailTitle = "Action Required:$documentType Document Processing ";
    }

    public function build()
    {
        return $this->subject($this->emailTitle)
            ->view('emails.legal_notification');
    }

}