<?php

namespace App\Mail\Patch;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SaleAgreementDocumentMail extends Mailable
{
    use Queueable, SerializesModels;

    public $attachment, $documentType;

    public function __construct($attachment, $documentType)
    {
        $this->attachment = $attachment;
        $this->documentType = $documentType;
    }

    public function build()
    {
        $email = $this->view('emails.sale_agreement') // Load the sale_agreement Blade view
        ->subject("Congratulations! You Have $this->documentType from PatchAfrica");

        // Check if the attachment is provided and add it to the email
        if ($this->attachment) {
            $email->attach($this->attachment->getRealPath(), [
                'as' => $this->attachment->getClientOriginalName(),
                'mime' => $this->attachment->getClientMimeType(),
            ]);
        }

        return $email;
    }
}
