<?php


namespace App\Models;


use App\Models\Core\BaseModel;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * @mixin Builder
 */

class AgentLead extends BaseModel
{
    protected $fillable=[
        'title',
        'created_by',
        'full_name' ,
        'phone' ,
        'unit_id' ,
        'property_id',
        'email',
        'address'
    ];

    protected $hidden = [
        'created_at',
        'updated_at'
    ];

    public function property(): BelongsTo
    {
        return $this->belongsTo(Property::class);
    }

    public function agent(): BelongsTo
    {
        return $this->belongsTo(Agent::class);
    }

    public function unit(): BelongsTo
    {
        return $this->belongsTo(UnitType::class);
    }

}