<?php

namespace App\Models;

use App\Models\Core\BaseModel;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\MorphOne;
use App\Models\Core\File\File;


class Leads extends BaseModel
{
    use HasFactory;

    protected $fillable = [
        'lead_no',
        'posting_date',
        'document_date',
        'payment_plan',
        'property_id',
        'customer_id',
        'agent_id',
        'unit_id',
        'units_allocated',
        'installment_date',
        'sale_type_id',
        'agent_commission_value',
        'agent_commission_type',
        'plots_allocated',
        'booking_reference',
        'posted',
        'max_installment',
        'no_of_installments',
        'total_cost',
        'total_cost',
        'total_sales',
        'selling_price',
        'payment_start_date',

    ];
    public function property(): BelongsTo
    {
        return $this->belongsTo(Property::class);
    }

    public function agent(): BelongsTo
    {
        return $this->belongsTo(Agent::class);
    }

    public function customer(): BelongsTo
    {
        return $this->belongsTo(Customer::class);
    }

    public function unit(): BelongsTo
    {
        return $this->belongsTo(Unit::class);
    }
    public function invoiceDetails(): HasMany
    {
        return $this->hasMany(InvoiceItem::class);
    }


}
