<?php

namespace App\Models\Patch\Traits;


use Illuminate\Database\Eloquent\Builder;

trait IndividualAgentTrait
{

    public function agentRoleAccess($value = 'no')
    {
        $user = auth()->user();
        if ($user->hasRole(['Agent'])) {
            $this->builder->when($value == 'no', function (Builder $query) {
                $query->where('agent_id', auth()->id());
            });
        } else {
            $this->builder->when(!auth()->user()->can('show_all_data'), function (Builder $query) {
                $query->where('created_by', auth()->id());
            });
        }
    }

}