<?php

namespace App\Models;

use App\Models\Core\Auth\User;
use App\Models\Core\BaseModel;
use App\Models\Core\Status;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use App\Traits\SearchableTrait;
use Illuminate\Database\Eloquent\Model;

use App\Models\Core\Traits\BootTrait;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;


class Payment extends BaseModel
{



    use BootTrait, SoftDeletes;

    protected $fillable = ['invoice_id', 'payment_method_id', 'received_on', 'amount', 'note', 'created_by'];

    public function paymentMethod(): BelongsTo
    {
        return $this->belongsTo(PaymentMethod::class);
    }

    public function invoice(): BelongsTo
    {
        return $this->belongsTo(Invoice::class);
    }

    public function payment_status(): BelongsTo
    {
        return $this->belongsTo(Status::class);
    }





}
