<?php


namespace App\Models;


use App\Models\Core\BaseModel;
use App\Models\Core\Status;
use App\Models\Patch\User\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Prospect  extends BaseModel
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'unit_id',
        'status_id',
        'payment_status_id',
        'client_name',
        'email',
        'phone',
    ];


    public function unit(): BelongsTo
    {
        return $this->belongsTo(Unit::class, 'unit_id');
    }
    public function status(): BelongsTo
    {
        return $this->belongsTo(Status::class);
    }

    public function payment_status(): BelongsTo
    {
        return $this->belongsTo(Status::class);
    }

    public function property(): BelongsTo
    {
        return $this->belongsTo(Property::class);
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class, 'user_id');
    }

}