<?php


namespace App\Models;


use App\Models\Core\Auth\User;
use App\Models\Core\BaseModel;
use App\Models\Core\File\File;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class SaleAgreementDocument  extends BaseModel
{

    use HasFactory;

    protected $fillable = [
        'property_id',
        'unit_id',
        'name',
        'user_id',
        'file_name',
        'description'
    ];

    public function attachment()
    {
        return $this->morphOne(File::class, 'fileable');
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }


}