<?php


namespace App\Models;

use App\Models\Core\BaseModel;
use App\Traits\SearchableTrait;

class Transaction extends BaseModel
{
    use SearchableTrait;

    protected $table = 'transactions';


    protected $primaryKey = 'id';


    protected $fillable = [
        'agent_id',
        'invoice_id',
        'invoice_item_id',
        'payment_id',
        'waiver_id',
        'transaction_date',
        'transaction_amount',
        'invoice_item_type',
        'transaction_type'
    ];


    public function agent()
    {
        return $this->belongsTo(Agent::class, 'agent_id');
    }

    public function invoice()
    {
        return $this->belongsTo(Invoice::class, 'invoice_id');
    }


    public function invoice_item()
    {
        return $this->belongsTo(InvoiceItem::class, 'invoice_item_id');
    }

    public function payment()
    {
        return $this->belongsTo(Payment::class, 'payment_id');
    }

    public function waiver()
    {
        return $this->belongsTo(Waiver::class, 'waiver_id');
    }
}

