<?php


namespace App\Repositories\Core\Property;



use App\Models\Property;
use App\Repositories\Core\BaseRepository;

class PropertyRepository  extends BaseRepository
{

    protected $property;

    /**
     * PropertyRepository constructor.
     *
     * @param $property
     */
    public function __construct(Property $property)
    {
        $this->property = $property;
    }

    /**
     * Get all properties.
     *
     * @return Property $property
     */

    public function getAll()
    {
        return $this->property->get();
    }

    /**
     * Get  by id
     *
     * @param $id
     * @return mixed
     */
    public function getById($id)
    {
        return $this->property
            ->where('id', $id)
            ->get();
    }


    public function save($data)
    {
        $property = new $this->property;
        $property->first_name = $data['first_name'];

        $property->user_id = 11;

        $property->save();

        return $property->fresh();
    }

    /**
     * Update
     *
     * @param $id
     * @return Property
     */
    public function delete($id): Property
    {

        $post = $this->property->find($id);
        $post->delete();

        return $post;
    }




}
