<?php


namespace App\Services\Core\AgentLeed;


use App\Helpers\Core\Traits\HasWhen;
use App\Models\AgentLead;
use App\Services\Patch\ApplicationBaseService;

class AgentLeedService  extends ApplicationBaseService
{
    use HasWhen;
    protected AgentLead $agentLead;

    public function __construct(AgentLead $agentLead)
    {
        $this->model = $agentLead;
    }

    public function individualAgent(): self
    {
        $this->builder->when(!auth()->user()->isAppAdmin(), function ($query) {
            $query->where('user_id', auth()->id());
        });
        return $this;
    }

    public function setValidation(): self
    {
        validator(request()->all(), [
            'title' => 'required|max:191',
            'full_name' => 'required|max:191',
            'phone' => 'required',
            'unit_id' => 'required',
            'property_id' => 'required',
            'email' => 'required',
            'address'=>'required'
        ])->validate();

        return $this;
    }

    public function delete(): self
    {
        $this->model->delete();

        return $this;
    }



}