<?php


namespace App\Services\Patch\Liason;


use App\Helpers\Core\Traits\FileHandler;
use App\Helpers\Core\Traits\HasWhen;
use App\Models\Property;
use App\Models\Unit;
use App\Models\UnitType;
use App\Services\Patch\ApplicationBaseService;

class PatchPropertyService  extends ApplicationBaseService
{

    use HasWhen, FileHandler;

    public function __construct(Property $property)
    {
        $this->model = $property;
    }


    public function setValidation(): self
    {
        validator(request()->all(), [
            //'project_name' => 'required|max:191',
            'project_code' => 'required|max:191',
            'property_name' => 'required|max:191',
            'unit_no'=> 'required',
            //'image' => 'required|mimes:jpg,png,jpeg,gif,svg,pdf|max:2048',

//            'image' => 'nullable|image|mimes:jpg,png,jpeg,gif,svg|max:2048',
            //'image' => 'nullable|image|mimes:jpg,png,jpeg,gif,svg|size:2048|dimensions:min_width=200,min_height=200,max_width=200,max_height=200',
        ])->validate();

        return $this;
    }


    public function image($request): self
    {
        $this->unlinkImage();

        $file_path = $this->uploadImage(
            $request,
            'property'
        );
        $this->model->file()->updateOrCreate([
            'type' => 'property',
        ], [
            'path' => $file_path
        ]);

        return $this;
    }


    public function unlinkImage(): self
    {
        $this->deleteImage(optional($this->model->file)->path);

        return $this;
    }


    public function deleteFileDatabase(): self
    {
        $this->model->file()->delete();

        return $this;
    }

    public function totalSoldProperty()
    {
        return Unit::where('status_id', 10)->count();
    }

    public function totalUnsoldProperty()
    {
        return Unit::where('status_id', 11)->count();
    }


}
