<?php


namespace App\Services\Patch\Liason;


use App\Models\ReservedUnitPayment;
use App\Services\Patch\ApplicationBaseService;

class ReservedUnitService  extends ApplicationBaseService
{

    public function __construct(ReservedUnitPayment $payment)
    {
        $this->model = $payment;
    }

    public function setValidation(): self
    {
        validator(request()->all(), [
            'payment_method_id' => 'required',
            'received_on' => 'required|date',
            'amount' => 'required'
        ], [
            'invoice_id.required' => 'The invoice field is required.',
            'payment_method_id.required' => 'The payment method field is required.',
        ])->validate();

        return $this;
    }

    public function delete(): self
    {
        $this->model->delete();

        return $this;
    }





}