import Vue from 'vue';

//helper app
import './Components/Helpers/HelperComponent';

/**
 * all component of GUD
 */
Vue.component('personal-information', require('./Components/Views/Auth/PersonalInformation').default);
Vue.component('password-change', require('./Components/Views/Auth/PasswordChange').default);
Vue.component('social-links', require('./Components/Views/Auth/SocialLinks').default);
Vue.component('login', require('./Components/Views/Auth/Login').default);
Vue.component('password-reset', require('./Components/Views/Auth/PasswordReset').default);
Vue.component('reset-password', require('./Components/Views/Auth/ResetPassword').default);
Vue.component('registration', require('./Components/Views/Auth/Registration').default);
Vue.component('my-profile', require('./Components/Views/Auth/Profile').default);

// Settings
Vue.component('app-setting', require('./Components/Views/Settings/Index').default);
Vue.component('general-setting', require('./Components/Views/Settings/GeneralSetting').default);
Vue.component('email-setting', require('./Components/Views/Settings/EmailSetting').default);
Vue.component('sms-setting', require('./Components/Views/Settings/SmsSetting').default);
Vue.component('google-re-captcha-setting', require('./Components/Views/Settings/GoogleRecaptchaSetting').default);
Vue.component('notification-settings', require('./Components/Views/Settings/Notification/Settings/Index').default);
Vue.component('database-template', require('./Components/Views/Settings/Notification/Template/DatabaseTemplate').default);
Vue.component('mail-template', require('./Components/Views/Settings/Notification/Template/MailTemplate').default);
Vue.component('payment-method', require('./Components/Views/Settings/PaymentMethod/PaymentMethod').default);
Vue.component('payment-method-create-edit-modal', require('./Components/Views/Settings/PaymentMethod/PaymentMethodCreateEditModal').default);

Vue.component('invoice-setting', require('./Components/Views/Settings/InvoiceSetting').default);
Vue.component('tax-setting', require('./Components/Views/Settings/Tax/Index').default);
Vue.component('tax-add-edit-modal', require('./Components/Views/Settings/Tax/TaxAddEditModal').default);

Vue.component('clear-cache', require('./Components/Views/Settings/ClearCache').default);


// Cron job

Vue.component('cron-job', require('./Components/Views/Settings/CronJob/CronJobSettings').default);


// User and Roles
Vue.component('user-roles', require('./Components/Views/UserRoles/Index').default);
Vue.component('group-of-users', require('./Components/Views/UserRoles/Roles/GroupOfUsers').default);

// Layouts
Vue.component('app-top-bar', require('./Components/Views/Layouts/Nabar').default);
Vue.component('app-sidebar', require('./Components/Views/Layouts/Sidebar').default);

// notifications
Vue.component('all-notification', require('./Components/Views/Auth/Notification').default);


// Dashboard
Vue.component('dashboard', require('./Components/Views/Dashboard/Index').default);
Vue.component('agent-dashboard', require('./Components/Views/Dashboard/AgentDashboard').default);


//Clients
Vue.component('client-add-edit-modal', require('./Components/Views/Customers/ClientAddEditModal').default);
Vue.component('client-import-modal',require('./Components/Views/Customers/ClientImportModal').default);
Vue.component('client-units',require('./Components/Views/Customers/Units/CustomerUnits.vue').default);
Vue.component('client-invoices',require('./Components/Views/Customers/Invoices/CustomerInvoices.vue').default);

//Clients Documents
Vue.component('kyc-add-edit-modal', require('./Components/Views/Customers/Kyc/KycAddEditModal').default);
Vue.component('kyc-document-view',require('./Components/Views/Customers/Kyc/KycDocuments').default);

//Agents
Vue.component('agent-add-edit-modal', require('./Components/Views/Agents/AgentAddEditModal').default);


//Property Module
Vue.component('property-basic-info', require('./Components/Views/Properties/Wizard/PropertyBasicInfo').default);
Vue.component('agent-commission-setting', require('./Components/Views/Properties/Wizard/AgentCommissionSetting').default);
Vue.component('extra-charge-setting', require('./Components/Views/Properties/Wizard/ExtraChargeSetting').default);
Vue.component('late-fee-setting', require('./Components/Views/Properties/Wizard/LateFeeSetting').default);

Vue.component('property-add-edit-modal', require('./Components/Views/Properties/PropertyAddEditModal').default);

Vue.component('property-unit_add-edit-modal', require('./Components/Views/Properties/PropertyUnitAddEditModal').default);

Vue.component('property-create-lead-modal', require('./Components/Views/Properties/Units/CreateLead').default);

Vue.component('admin-units', require('./Components/Views/Properties/admin/AdminUnits').default);


Vue.component('import-unit-modal', require('./Components/Views/Properties/ImportUnits').default);



Vue.component('property-details', require('./Components/Views/Properties/PropertyDetails').default);
Vue.component('property-details-units', require('./Components/Views/Properties/PropertyDetails/PropertyDetailsUnits').default);
Vue.component('property-documents', require('./Components/Views/Properties/PropertyDetails/PropertyDocuments').default);

Vue.component('unit-sale-details', require('./Components/Views/Properties/Units/UnitSaleDetail').default);

Vue.component('unit-sold-details', require('./Components/Views/Properties/Units/UnitSoldDetail').default);
Vue.component('unit-invoices', require('./Components/Views/Properties/Units/UnitInvoices').default);
Vue.component('unit-summary-card', require('./Components/Views/Properties/Units/UnitSummary').default);
Vue.component('unit-sold-summary-card', require('./Components/Views/Properties/Units/UnitSoldSummary').default);



Vue.component('property-units', require('./Components/Views/Properties/Units/PropertyUnits').default);
Vue.component('property-unit-details', require('./Components/Views/Properties/Units/PropertyUnitDetails').default);

Vue.component('unit-add-edit-modal', require('./Components/Views/Properties/Units/UnitAddEditModal').default);
Vue.component('unit-booking', require('./Components/Views/Properties/Units/UnitBooking').default);

Vue.component('offer-letters-card', require('./Components/Views/Properties/Units/OfferLetters').default);


Vue.component('create-prospect-modal', require('./Components/Views/Properties/Units/CreateProspects').default);

Vue.component('prospect', require('./Components/Views/AgentLeads/ProspectList').default);


Vue.component('unsuccessful-prospect', require('./Components/Views/AgentLeads/UnsuccesfulProspect').default);

Vue.component('sale-agreements', require('./Components/Views/Properties/Units/SaleAgreement').default);

Vue.component('unit-commission', require('./Components/Views/Rewards/Commission').default);
Vue.component('unpaid-commissions-list', require('./Components/Views/Rewards/UnpaidCommissionsTable').default);
Vue.component('paid-commissions-list', require('./Components/Views/Rewards/CommissionsTable').default);
Vue.component('mark-commission-paid-modal', require('./Components/Views/Rewards/MarkCommissionPaid').default);



Vue.component('make-payment-offer-letter-agent-modal', require('./Components/Views/Properties/Units/MakePaymentOfferLetterAgentModal').default);

Vue.component('make-payment-reserve-modal', require('./Components/Views/Properties/Units/CreatePaymentReserve').default);


Vue.component('make-payment-sale-agreement-agent-modal', require('./Components/Views/Properties/Units/MakePaymentSaleAgreementAgentModal').default);








Vue.component('lead_add-edit-modal', require('./Components/Views/LeadManagement/LeadAddEditModel').default);


Vue.component('invoice-add-edit-modal', require('./Components/Views/Invoice/InvoiceAddEditModal').default);
Vue.component('add-invoice', require('./Components/Views/Invoice/CreateInvoice').default);

Vue.component('invoice-details', require('./Components/Views/Invoice/InvoiceDetails').default);
Vue.component('send-invoice-modal', require('./Components/Views/Invoice/SendInvoiceModal').default);
Vue.component('invoice-payment-modal', require('./Components/Views/Invoice/InvoicePaymentModal').default);

Vue.component('process-titles-legal', require('./Components/Views/Properties/Units/ProcessTitleDeeds').default);


Vue.component('payment-add-edit-modal', require('./Components/Views/PaymentManagement/PaymentAddEditModal').default);
Vue.component('payment-note', require('./Components/Views/PaymentManagement/PaymentNote').default);
Vue.component('payment-note-data', require('./Components/Views/PaymentManagement/PaymentNoteData').default);
Vue.component('recurring-invoice-list', require('./Components/Views/Invoice/RecurringInvoice').default);

Vue.component('reserved-unit-payments', require('./Components/Views/PaymentManagement/ReserveUnitPayment/ReservedUnitPayment').default);

Vue.component('offer-letter-details', require('./Components/Views/Properties/Units/OfferLetterDetails').default);
Vue.component('offer-letter-payment-modal', require('./Components/Views/Properties/Units/OfferLetterMakePaymentModal').default);


Vue.component('sale-agreement-details', require('./Components/Views/Properties/Units/SaleAgreementDetails').default);

Vue.component('offer-letter-payment', require('./Components/Views/PaymentManagement/Finance/OfferLettterPayment').default);

Vue.component('legal-process-offer-letter-payment', require('./Components/Views/Properties/Units/LegalProcessOfferLetter').default);

Vue.component('legal-process-sale-agreement-payment', require('./Components/Views/Properties/Units/LegalProcessSaleAgreement').default);



Vue.component('sale-agreement-payment', require('./Components/Views/PaymentManagement/Finance/SaleAgreementPayment').default);


Vue.component('legal-process-offer-letter-modal', require('./Components/Views/Properties/Units/LegalOfferLetterModal').default);
Vue.component('legal-process-sale-agreement-modal', require('./Components/Views/Properties/Units/LegalSaleAgreementModal').default);








Vue.component('re-captcha', require('./Components/Views/Auth/ReCaptcha').default);
Vue.component('client-module', require('./Components/Views/Customers/Client').default)


// Customer
Vue.component('customer-info', require('./Components/Views/Customers/CustomerInfo').default);
Vue.component('customer-contact-info', require('./Components/Views/Customers/CustomerContactInfo').default);
Vue.component('client-details', require('./Components/Views/Customers/ClientDetails').default);


Vue.component('customer-kin-info', require('./Components/Views/Customers/NextOfKinInfo').default);

// Agent Management
Vue.component('agent-module', require('./Components/Views/Agents/Agent').default);

Vue.component('agent-details', require('./Components/Views/Agents/AgentDetails').default);



// Property Management
Vue.component('properties', require('./Components/Views/Properties/Index').default);
Vue.component('property-create', require('./Components/Views/Properties/CreateProperty').default);


Vue.component('property-settings', require('./Components/Views/Properties/Settings/ProperytySettings').default);

Vue.component('leads-module', require('./Components/Views/LeadManagement/Leads').default);
Vue.component('titles-module', require('./Components/Views/TitleManagement/TitleDeed').default);
Vue.component('title-add-edit-modal', require('./Components/Views/TitleManagement/TitleAddEditModal').default);



Vue.component('document-add-edit-modal', require('./Components/Views/Projects/DocumentAddEditModal').default);

Vue.component('project-document', require('./Components/Views/Projects/ProjectDocument').default);


Vue.component('agent-leed', require('./Components/Views/AgentLeads/LeadGrid').default);
Vue.component('lead-add-edit-modal', require('./Components/Views/AgentLeads/AddEditLeadGridModal').default);


Vue.component('company', require('./Components/Views/Companies/CompanyList').default);
Vue.component('company-add-edit-modal', require('./Components/Views/Companies/CompanyAddEditModal').default);


// Payment Management
Vue.component('payment-module', require('./Components/Views/PaymentManagement/Payment').default);

Vue.component('confirm-payment-module', require('./Components/Views/PaymentManagement/ConfirmPayment').default);



// Invoice Management
Vue.component('invoice-module', require('./Components/Views/Invoice/Invoice').default);


// Reports
Vue.component('general-summary-report', require('./Components/Views/Reports/GeneralSummaryReport').default);
Vue.component('payment-summary-report', require('./Components/Views/Reports/PaymentSummaryReport').default);
Vue.component('client-statement-report', require('./Components/Views/Reports/ClientStatementReport').default);

Vue.component('client-statement-details', require('./Components/Views/Reports/ClientStatementDetails').default);

Vue.component('invoice-report', require('./Components/Views/Reports/InvoiceReport').default);
Vue.component('expense-report', require('./Components/Views/Reports/ExpenseReport').default);
