import {axiosGet} from "../../../app/Helpers/AxiosHelper";

const state = {
    customerAgents: []
};

const getters = {
    getCustomerAgent: state => {
        return state.customerAgents
    }
};

const actions = {
    getCustomerAgent({commit}) {
        axiosGet('clients-agents').then(({data}) => {
            commit('CUSTOMER_AGENT', data)
        }).catch((error) => console.log(error));
    },
};

const mutations = {
    CUSTOMER_AGENT(state, data) {
        state.customerAgents = data;
    }
};


export default {
    state,
    getters,
    actions,
    mutations
}