import { axiosGet } from "../../../app/Helpers/AxiosHelper";

const state = {
    invoiceNumber: null, // Initialize with null or a default value
};

const getters = {
    getInvoiceNumber: (state) => {
        return state.invoiceNumber;
    },
};

const actions = {
    getInvoiceNumber({ commit }) {
        axiosGet('invoice-number') // Adjust the URL as necessary
            .then(({ data }) => {
                let invoice = data.id !== undefined ? data.id : 0;
                commit('INVOICE_NUMBER_INFO', invoice);
            })
            .catch((error) => console.log(error));
    },
};

const mutations = {
    INVOICE_NUMBER_INFO(state, data) {
        state.invoiceNumber = data; // Store the fetched invoice number
    },
};

export default {
    state,
    getters,
    actions,
    mutations,
};
