<!DOCTYPE html>
<html>
<head>
    <title>Monthly Statement</title>
    <style>
        body {
            font-family: Arial, sans-serif;
        }

        h1 {
            text-align: center;
            font-size: 1.5em;
            margin-bottom: 20px;
        }

        .statement-table {
            width: 100%;
            margin: 0 auto;
            border-collapse: collapse;
        }

        .statement-table, .statement-table th, .statement-table td {
            border: 1px solid #000;
            text-align: center;
            padding: 8px;
        }

        .statement-table th {
            background-color: #f2f2f2;
            font-weight: bold;
        }

        .totals-row {
            font-weight: bold;
            background-color: #e0e0e0;
        }

        /* dev */
        .t {
            border: 1px solid red;
        }

        .bg-t {
            background-color: #00660050;
        }

        .bg-dark {
            background-color: #333333 !important;
        }

        .bg-secondary {
            background-color: #dddddd !important;
        }

        .bg-transparent {
            background-color: transparent !important;
        }

        * {
            font-family: Arial, Helvetica, sans-serif;
            margin: 0;
            padding: 0;
        }

        /*common*/
        .m-0 {
            margin: 0;
        }

        .m-1 {
            margin: 5px;
        }

        .m-2 {
            margin: 10px;
        }

        .m-3 {
            margin: 15px;
        }

        .m-4 {
            margin: 20px;
        }

        .m-5 {
            margin: 25px;
        }

        .mx-1 {
            margin: 0 5px;
        }

        .mx-2 {
            margin: 0 10px;
        }

        .mx-3 {
            margin: 0 15px;
        }

        .mx-4 {
            margin: 0 20px;
        }

        .mx-5 {
            margin: 0 25px;
        }

        .my-1 {
            margin: 5px 0;
        }

        .my-2 {
            margin: 10px 0;
        }

        .my-3 {
            margin: 15px 0;
        }

        .my-4 {
            margin: 20px 0;
        }

        .my-5 {
            margin: 25px 0;
        }

        .mt-1 {
            margin-top: 5px
        }

        .mt-2 {
            margin-top: 10px
        }

        .mt-3 {
            margin-top: 15px
        }

        .mt-4 {
            margin-top: 20px
        }

        .mt-5 {
            margin-top: 25px
        }

        .mb-1 {
            margin-bottom: 5px
        }

        .mb-2 {
            margin-bottom: 10px
        }

        .mb-3 {
            margin-bottom: 15px
        }

        .mb-4 {
            margin-bottom: 20px
        }

        .mb-5 {
            margin-bottom: 25px
        }

        .p-0 {
            padding: 0;
        }

        .p-1 {
            padding: 5px;
        }

        .p-2 {
            padding: 10px;
        }

        .p-3 {
            padding: 15px;
        }

        .p-4 {
            padding: 20px;
        }

        .p-5 {
            padding: 25px;
        }

        .px-1 {
            padding: 0 5px;
        }

        .px-2 {
            padding: 0 10px;
        }

        .px-3 {
            padding: 0 15px;
        }

        .px-4 {
            padding: 0 20px;
        }

        .px-5 {
            padding: 0 25px;
        }

        .py-1 {
            padding: 5px 0;
        }

        .py-2 {
            padding: 10px 0;
        }

        .py-3 {
            padding: 15px 0;
        }

        .py-4 {
            padding: 20px 0;
        }

        .py-5 {
            padding: 25px 0;
        }

        .w-10 {
            width: 10%;
        }

        .w-15 {
            width: 15%;
        }

        .w-45 {
            width: 45%;
        }

        .w-25 {
            width: 25%;
        }

        .w-50 {
            width: 50%;
        }

        .w-75 {
            width: 75%;
        }

        .w-100 {
            width: 100%;
        }

        .h-100 {
            height: 100%;
        }

        .f-left {
            float: left;
        }

        .f-right {
            float: right;
        }

        .f-clear {
            clear: both;
        }

        .text-left {
            text-align: left;
        }

        .text-right {
            text-align: right;
        }

        .text-center {
            text-align: center;
        }

        .text-secondary {
            color: #666666;
        }

        .text-light {
            color: #fff;
        }

        .text-black {
            color: #000;
        }

        .text-capital {
            text-transform: uppercase;
        }

        .thin {
            font-weight: lighter;
        }

        .bold {
            font-weight: bold;
        }

        .font-xm {
            font-size: x-small
        }

        .font-md {
            font-size: medium
        }

        .font-lg {
            font-size: large
        }

        .table-strip {
        }

        .table-strip tr:nth-child(even) {
            background-color: #f8f8f8;
        }

        /*layout*/
        .invoice_container {
        }

        .invoice_container * {
            box-sizing: content-box;
        }

        .invoice_container__item {

        }

        .logo {
            width: 96px;
        }

        .hr {
            background-color: #999999;
            border: none;
            height: 1px;
        }

        .currency-symbol {
            font-family: DejaVu Sans;
            font-size: 11px;
            line-height: 1;
        }
    </style>
</head>
<body>
<div class="invoice_container">
    <div class="invoice_container__item px-5 mt-5 text-black">
        <div class="w-25 f-left p-2">
            <div>
                <img  src="images/patch.png" alt="NF">
            </div>
        </div>
        <div class="w-50 f-right text-right">
            <h1 class="bold text-black text-capital">Unit Payment Statement</h1>
            <table class="f-right w-75 font-xm mt-3">
                <tr>
                    <td class="bold">{{__t('invoice_no')}}</td>
                    <td>:</td>
                    <td class="text-right">{{ $invoice->is_from_estimate ? 'EST-' :'' }}{{$invoice->invoice_number}}</td>
                </tr>
                <tr>
                    <td class="bold">{{__t('date')}}</td>
                    <td>:</td>
                    <td class="text-right">{{ $invoice->date }}</td>
                </tr>
                <tr>
                    <td class="bold">{{__t('due_date')}}</td>
                    <td>:</td>
                    <td class="text-right">{{ $invoice->due_date }}</td>
                </tr>

            </table>
            <div class="f-clear"></div>
        </div>
        <div class="f-clear"></div>
    </div>
    {{--        <hr class="hr">--}}
    <div class="invoice_container__item p-5 text-black">
        <div class="w-50 f-left font-xm">
            <p class="bold">{{__t('from')}}</p>

                <p>Patch Africa Ltd,
                    Liaison House, State House Avenue
                </p>

                <small>Email: info@patchafrica.net</small>
                    <br>
            <small>Tel: (254) 703 071 000, (254) 730 488 100</small>
            <br>

        </div>
        <div class="w-50 f-right font-xm">
            <div class="w-75 f-right">
                <p class="bold">{{__t('to')}}</p>
                @if($invoice->client)
                    <p>{{$invoice->client->full_name}}</p>
                    @if($invoice->client->profile)
                        <small>{{__t('contact')}}: {{$invoice->client->profile->contact}}</small>
                        <br>
                        <small>{{__t('address')}}: {{$invoice->client->profile->address}}</small>
                        <br>
                    @endif
                @endif
            </div>
            <div class="f-clear"></div>
        </div>
        <div class="f-clear"></div>
    </div>
    {{--    <hr class="hr">--}}
    <div class="invoice_container__item px-5">
        <table class="statement-table">
            <thead>
            <tr>
                <th>Date</th>
                <th>Payment Method</th>
                <th>Amount</th>
            </tr>
            </thead>
            <tbody>
            <!-- Data Rows -->
            @foreach($payments as $payment)
                <tr>
                    <td>{{ $payment->created_at->format('Y-m-d') }}</td>
                    <td>{{ $payment->paymentMethod->name }}</td>
                    <td>{{ number_format($payment->amount, 2) }}</td>
                </tr>
            @endforeach

            </tbody>
        </table>
    </div>
</div>

</body>
</html>
