<?php

use App\Http\Controllers\App\Invoice\InvoiceDownloadController;
use App\Http\Controllers\App\Invoice\InvoiceMailController;
use App\Http\Controllers\App\Payment\ConfirmPaymentController;
use App\Http\Controllers\App\Payment\PaymentsController;
use App\Http\Controllers\App\Payment\Reserved\ReservedPaymentController;
use App\Http\Controllers\App\Properties\ProcessTitleDeedsController;
use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Patch\Liason\InvoiceController;

Route::group(['middleware' => ['admin', 'individual_behavior']], function () {
    Route::apiResource('invoices', InvoiceController::class);
    Route::get('invoice-download/{invoice}', [InvoiceDownloadController::class, 'download'])
        ->name('download.invoice');
    Route::post('invoice-details-delete', [InvoiceController::class, 'detailsDelete'])
        ->name('product.delete_invoice_details');

    Route::post('invoice-send/{invoice}', [InvoiceMailController::class, 'sendInvoice'])
              ->name('send.invoice');


    Route::apiResource('confirm-payment-histories', ConfirmPaymentController::class);



    Route::apiResource('reserved-unit-payments', ReservedPaymentController::class);




});



Route::apiResource('payment-histories', PaymentsController::class);

Route::apiResource('process-title-deeds', ProcessTitleDeedsController::class);



Route::get('date-format', [InvoiceMailController::class, 'sendInvoice']);

