<?php

use App\Http\Controllers\App\AgentLeed\OfferLetterController;
use App\Http\Controllers\App\AgentLeed\ProspectController;
use App\Http\Controllers\App\AgentLeed\SaleAgreementController;
use App\Http\Controllers\App\AgentLeed\UnsuccessfulProspectContoller;
use App\Http\Controllers\App\Documents\Legal\LegalOfferLetterController;
use App\Http\Controllers\App\Documents\Legal\LegalSaleAgreementController;
use App\Http\Controllers\App\Payment\Finance\OfferLetterPaymentController;
use App\Http\Controllers\App\Payment\Finance\SaleAgreementPaymentController;
use App\Http\Controllers\App\Payment\PaymentPlanController;
use App\Http\Controllers\App\Properties\AvailableUnitsController;
use App\Http\Controllers\App\Properties\PropertyController;
use App\Http\Controllers\App\Properties\PropertyUnitsController;
use App\Http\Controllers\App\Rewards\CommissionController;
use App\Http\Controllers\App\Unit\UnitBookingController;
use App\Http\Controllers\App\Unit\UnitBookingInvoiceController;
use App\Http\Controllers\App\Unit\UnitController;
use App\Http\Controllers\App\Unit\UnitImportController;
use App\Http\Controllers\Patch\Liason\LeadUnitController;
use App\Http\Controllers\Patch\Liason\LiasonTypeController;
use App\Http\Controllers\Patch\Liason\PropertyListController;
use App\Http\Controllers\Patch\Liason\UnitListController;
use Illuminate\Support\Facades\Route;

Route::group(['middleware' => ['auth', 'authorize']], function () {
    Route::apiResource('pies', LiasonTypeController::class);
    Route::apiResource('properties/all', PropertyListController::class);


});


Route::group([], function () {
    Route::apiResource('properties', PropertyController::class);
    Route::apiResource('units', UnitController::class);
    Route::apiResource('unit/all', UnitListController::class);
    Route::apiResource('lead/unit/all', LeadUnitController::class);


    Route::apiResource('payment/plans', PaymentPlanController::class);

    Route::apiResource('bookings', UnitBookingController::class);
    Route::apiResource('offer-letter', OfferLetterController::class);


    Route::apiResource('offer-letter-payment', OfferLetterPaymentController::class);

    Route::apiResource('sale-agreement-payment', SaleAgreementPaymentController::class);


    Route::apiResource('legal-process-offer-letter', LegalOfferLetterController::class);


    Route::apiResource('legal-process-sale-agreement', LegalSaleAgreementController::class);


    Route::apiResource('sale-letter', SaleAgreementController::class);


    Route::apiResource('prospects-ignite', ProspectController::class);

    Route::apiResource('unsuccessful-prospects-ignite', UnsuccessfulProspectContoller::class);



    Route::apiResource('commission', CommissionController::class);


    Route::get('unit-booking-invoice', [UnitBookingInvoiceController::class,'index'])->name('invoice-booking-units');


    Route::get('unit-properties/{id}', [PropertyController::class, 'propertyUnits'])->name('units');
    Route::get('unit-cards', [PropertyController::class, 'unitCards'])->name('unit.cards');
    Route::apiResource('props/units', PropertyUnitsController::class);
    Route::get('available-units', [AvailableUnitsController::class,'index'])->name('available-units');

    Route::post('unit/import', [UnitImportController::class, 'import'])->name('unit.import');



});
