<?php

use App\Http\Controllers\App\Rewards\CommissionController;
use App\Http\Controllers\Patch\Liason\Reports\ClientStatementReportController;
use App\Http\Controllers\Patch\Liason\Reports\InvoiceReportController;
use App\Http\Controllers\Patch\Liason\Reports\PaymentSummaryController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'reports', 'middleware' => ['admin', 'individual_behavior']], function () {
    Route::get('payment-summary', [PaymentSummaryController::class, 'index'])
        ->name('reports.payment_summary');
    Route::get('invoice-report', [InvoiceReportController::class, 'index'])
        ->name('reports.invoice_report');
    Route::get('client-statement-report', [ClientStatementReportController::class, 'index'])
        ->name('reports.client_statement_report');

    Route::get('export-client-statement-report', [ClientStatementReportController::class, 'export'])
        ->name('reports.export_client_statement_report');

    Route::get('export-invoice-statement-report', [InvoiceReportController::class, 'export'])
        ->name('reports.export_invoice_statement_report');

    Route::get('export-commission-statement-report', [CommissionController::class, 'export'])
        ->name('reports.export_commission_statement_report');
});

Route::get('client-statement-details/{id}', [ClientStatementReportController::class, 'show'])
    ->name('reports.client_statement_details');

Route::get('client-statement-payments/{id}', [ClientStatementReportController::class, 'paymentUnits'])->name('statement_details.units');

Route::post('send-monthly-client-statements/{id}', [ClientStatementReportController::class, 'sendMonthlyStatement'])->name('monthly.units');

Route::get('reports/unit-payments/{unitId}', [PaymentSummaryController::class, 'unitPayments'])
    ->name('reports.unit-payments');
